# Deploying with Argo

## the argo version of the instance

Deployin with argoCD is straight forward, as there is a ready-to-run instance chart version for argo, that takes **exactly** the same values as the *normal* chart:

```bash
helm install \
     --values samples/application/empty.yaml \
     --values samples/environment/demo.yaml \
     sample-empty-argo nplus/nplus-instance-argo
```

## Using Waves

The instance chart already comes with pre-defined waves. They are good to go with (can be modified though):

```yaml
nappl:
  meta:
    wave: 15
```

**But**: You might be annoyed by ArgoCD, when some services do not come up preventing other services to not be started at all since ArgoCD operates in Waves, so later services might not be deployed at all if an early wave services fails.

Especially in DEV, this can become a testing problem. 

To turn *off* Waves completely for a Stage, Environment or Instance, go

```
global:
  environment:
    utils:
      disableWave: true
```

